import {createRouter, createWebHistory} from 'vue-router';
import ListView from '@/views/ListView.vue';
import SchoolClassEditView from '@/views/schoolClass/EditView.vue';
import WorkGroupEditView from '@/views/workGroup/EditView.vue';

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes:  [
    {
      path:      '/',
      name:      'list',
      component: ListView,
    },
    {
      path: '/schoolClass/edit/:id/:page?',
      name: 'school_classEdit',
      component: SchoolClassEditView,
      props: {action: 'edit'},
    },
    {
      path: '/workgroup/edit/:id/:page?',
      name: 'workgroupEdit',
      component: WorkGroupEditView,
      props: {action: 'edit'},
    },
    {
      path: '/workgroup/add/:page?',
      name: 'workgroupAdd',
      component: WorkGroupEditView,
      props: {action: 'add'},
    },
  ],
});

export default router;
